List all leads
curl --request GET \
--url https://app.paravo.co.uk/leads/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.paravo.co.uk/leads/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.paravo.co.uk/leads/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"service_name": "Immigration",
"service_slug": "immigration",
"created_at": "2025-05-04T12:34:56Z",
"client_name": "John Doe",
"client_email": "john.doe@example.com",
"client_phone_number": "+441234567890",
"client_address": {
"friendly_address": "London, England, SW11 3PG"
},
"service_question_answers": [
{
"question": "What is your nationality?",
"slug": "nationality",
"answer": "British"
}
],
"all_details_one_liner": "What is your nationality?\nBritish\n--\nAddress: Online - London, England, SW11 3PG\n"
}
]Leads
List all leads
Returns a list of leads in JSON format.
GET
/
api
/
v1
/
leads
List all leads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
Example:
123
Example:
"Immigration"
Example:
"immigration"
Example:
"2025-05-04T12:34:56Z"
Example:
"John Doe"
Example:
"john.doe@example.com"
Example:
"+441234567890"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Concatenated questions/answers and address in a single string.
Example:
"What is your nationality?\nBritish\n--\nAddress: Online - London, England, SW11 3PG\n"